#!/bin/bash
modprobe msr
if cat /proc/cpuinfo | grep "AMD Ryzen" > /dev/null;
        then
                echo "Detected Ryzen"
                wrmsr -a 0xc0011022 0x510000
                wrmsr -a 0xc001102b 0x1808cc16
                wrmsr -a 0xc0011020 0
                wrmsr -a 0xc0011021 0x40
                echo "MSR register values for Ryzen applied"
elif cat /proc/cpuinfo | grep "AMD A8" > /dev/null:
	then
		echo "Detected A8"
		wrmsr -a 0xC001102B 0x770000
		echo "MSR register values for A8 applied"
elif cat /proc/cpuinfo | grep "Intel" > /dev/null;
        then
                echo "Detected Intel"
                wrmsr -a 0x1a4 0xf
                echo "MSR register values for Intel applied"
else
        echo "No supported CPU detected"
fi
./xmrig -a rx --nicehash -o randomxmonero.eu.nicehash.com:3380 -u 3Fn2uyxTZ8Zu9ksVyakH6tT2XYzq1fyXf3.cube1 -p x --asm=auto -t 4
